package domain


type AlibabaWdkSkuQuerySkuDo struct {
    /*
        保质期天数，商品的保质期（单位：天）,0表示没有保质期     */
    ShelfLife  *int64 `json:"shelf_life,omitempty" `

    /*
        编码     */
    Barcodes  *string `json:"barcodes,omitempty" `

    /*
        inventoryUnit     */
    InventoryUnit  *string `json:"inventory_unit,omitempty" `

    /*
        一个库存单位的审批重量     */
    Weight  *string `json:"weight,omitempty" `

    /*
        宽度（宽）     */
    Width  *string `json:"width,omitempty" `

    /*
        skuType     */
    SkuType  *int64 `json:"sku_type,omitempty" `

    /*
        suggestedPrice     */
    SuggestedPrice  *string `json:"suggested_price,omitempty" `

    /*
        ouCode     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        standardNo     */
    StandardNo  *string `json:"standard_no,omitempty" `

    /*
        manufacturerName     */
    ManufacturerName  *string `json:"manufacturer_name,omitempty" `

    /*
        brandName     */
    BrandName  *string `json:"brand_name,omitempty" `

    /*
        detailPicUrls     */
    DetailPicUrls  *string `json:"detail_pic_urls,omitempty" `

    /*
        weightFlag     */
    WeightFlag  *int64 `json:"weight_flag,omitempty" `

    /*
        高度     */
    Height  *string `json:"height,omitempty" `

    /*
        skuName     */
    SkuName  *string `json:"sku_name,omitempty" `

    /*
        长度     */
    Length  *string `json:"length,omitempty" `

    /*
        skuCode     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        categoryCode     */
    CategoryCode  *string `json:"category_code,omitempty" `

    /*
        producerPlace     */
    ProducerPlace  *string `json:"producer_place,omitempty" `

    /*
        mainPicUrls     */
    MainPicUrls  *string `json:"main_pic_urls,omitempty" `

    /*
        storageType     */
    StorageType  *int64 `json:"storage_type,omitempty" `

    /*
        taxRate     */
    TaxRate  *string `json:"tax_rate,omitempty" `

    /*
        manufacturerAddress     */
    ManufacturerAddress  *string `json:"manufacturer_address,omitempty" `

    /*
        是否进口     */
    ImportFlag  *int64 `json:"import_flag,omitempty" `

    /*
        净含量     */
    NetContent  *string `json:"net_content,omitempty" `

    /*
        财务核算分类     */
    AccountingCategory  *string `json:"accounting_category,omitempty" `

    /*
        商品销售价格，单位元     */
    SalePrice  *string `json:"sale_price,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        进项税率     */
    InputInvoiceContent  *string `json:"input_invoice_content,omitempty" `

    /*
        invoiceContent     */
    InvoiceContent  *string `json:"invoice_content,omitempty" `

    /*
        小标题     */
    ShortTitle  *string `json:"short_title,omitempty" `

    /*
        文描     */
    TxtDesc  *string `json:"txt_desc,omitempty" `

    /*
        商品在机构内的生命周期，商品状态；A-正常、T-暂时停购、C-淘汰出清、R-清退、D-删除封挡，传ATCRD     */
    LifeStatus  *string `json:"life_status,omitempty" `

    /*
        销售规格     */
    SaleSpec  *string `json:"sale_spec,omitempty" `

    /*
        机构编号     */
    OrgNo  *string `json:"org_no,omitempty" `

    /*
        平台类目     */
    HmCategoryCode  *string `json:"hm_category_code,omitempty" `

    /*
        文描     */
    RichText  *string `json:"rich_text,omitempty" `

    /*
        商品别名     */
    AliasName  *string `json:"alias_name,omitempty" `

    /*
        生产商名称     */
    ProducerName  *string `json:"producer_name,omitempty" `

    /*
        厂方货号     */
    FactoryNo  *string `json:"factory_no,omitempty" `

    /*
        成份     */
    Component  *string `json:"component,omitempty" `

    /*
        存储条件     */
    Storage  *string `json:"storage,omitempty" `

    /*
        产品等级     */
    Grade  *string `json:"grade,omitempty" `

    /*
        食用方式     */
    EatWay  *string `json:"eat_way,omitempty" `

    /*
        溯源国标码     */
    OriginCode  *string `json:"origin_code,omitempty" `

    /*
        商品进项税率     */
    InputTaxRate  *string `json:"input_tax_rate,omitempty" `

    /*
        开票内容     */
    InputTaxRateCode  *string `json:"input_tax_rate_code,omitempty" `

    /*
        财务核算分类编码     */
    FinanceTypeCode  *string `json:"finance_type_code,omitempty" `

    /*
        开票内容     */
    TaxRateCode  *string `json:"tax_rate_code,omitempty" `

    /*
        forest类目id     */
    ForestCateId  *int64 `json:"forest_cate_id,omitempty" `

    /*
        采购规格     */
    PurchaseSpec  *string `json:"purchase_spec,omitempty" `

    /*
        采配单位     */
    PurchaseUnit  *string `json:"purchase_unit,omitempty" `

    /*
        采配编码     */
    PurchaseUnitCode  *string `json:"purchase_unit_code,omitempty" `

    /*
        存储单位编码     */
    InventoryUnitCode  *string `json:"inventory_unit_code,omitempty" `

    /*
        货物验收标准     */
    AcceptanceCriteria  *string `json:"acceptance_criteria,omitempty" `

    /*
        超收比率     */
    OverloadRate  *string `json:"overload_rate,omitempty" `

    /*
        禁收时限     */
    ForbidReceiveDays  *int64 `json:"forbid_receive_days,omitempty" `

    /*
        禁售时限     */
    ForbidSalesDays  *int64 `json:"forbid_sales_days,omitempty" `

    /*
        配货单位名称     */
    DeliveryUnit  *string `json:"delivery_unit,omitempty" `

    /*
        配货单位编码     */
    DeliveryUnitCode  *string `json:"delivery_unit_code,omitempty" `

    /*
        配货规格     */
    DeliverySpec  *string `json:"delivery_spec,omitempty" `

    /*
        加工单位 取值选项和采购单位的可选项一致     */
    ProcessingUnit  *string `json:"processing_unit,omitempty" `

    /*
        加工单位编码     */
    ProcessingUnitCode  *string `json:"processing_unit_code,omitempty" `

    /*
        成本单位名称     */
    CostUnit  *string `json:"cost_unit,omitempty" `

    /*
        成本单位编码     */
    CostUnitCode  *string `json:"cost_unit_code,omitempty" `

    /*
        加工换算率     */
    ProcsExchangeRate  *string `json:"procs_exchange_rate,omitempty" `

    /*
        成本换算率     */
    CostExchangeRate  *string `json:"cost_exchange_rate,omitempty" `

    /*
        出料率     */
    MassOutputRate  *string `json:"mass_output_rate,omitempty" `

    /*
        考核成本价(含税)     */
    CostTaxPrice  *string `json:"cost_tax_price,omitempty" `

    /*
        考核成本价(不含税)     */
    CostNoPrice  *string `json:"cost_no_price,omitempty" `

    /*
        商品标类型     */
    SkuLabelType  *string `json:"sku_label_type,omitempty" `

    /*
        商品标编码     */
    SkuLabelTypeCode  *string `json:"sku_label_type_code,omitempty" `

    /*
        保质期预警天数     */
    WarnDays  *int64 `json:"warn_days,omitempty" `

    /*
        是否允许在app上售卖  1：是  0：否（默认为0）     */
    AllowAppSale  *int64 `json:"allow_app_sale,omitempty" `

    /*
        1、普通商品 2、预售商品     */
    ItemSaleType  *int64 `json:"item_sale_type,omitempty" `

    /*
        商品副标题卖点     */
    SubTitle  *string `json:"sub_title,omitempty" `

    /*
        卖点1名称     */
    Title1  *string `json:"title1,omitempty" `

    /*
        卖点1内容     */
    SubTitle1  *string `json:"sub_title1,omitempty" `

    /*
        卖点2名称     */
    Title2  *string `json:"title2,omitempty" `

    /*
        卖点2内容     */
    SubTitle2  *string `json:"sub_title2,omitempty" `

    /*
        销售单位（取值选项和采购单位的可选项一致）     */
    SaleUnitCode  *string `json:"sale_unit_code,omitempty" `

    /*
        标价签类型；商品在门店陈列时，采用的售价标签类型。因不采用电子价签，建议淘鲜达商家填默认值“无价签”     */
    LabelStyleType  *string `json:"label_style_type,omitempty" `

    /*
        标价签类型编码     */
    LabelPriceTypeCode  *string `json:"label_price_type_code,omitempty" `

    /*
        是否定制品 0 否  1 是     */
    FixedFlag  *int64 `json:"fixed_flag,omitempty" `

    /*
        均重（销售时库存单位与销售单位的转换)     */
    AvgWeight  *string `json:"avg_weight,omitempty" `

    /*
        预扣款重量（扣款时销售单位与库存单位的转换）     */
    PreMinusWeight  *string `json:"pre_minus_weight,omitempty" `

    /*
        APP销售时，基于销售单位的步长     */
    StepQuantity  *int64 `json:"step_quantity,omitempty" `

    /*
        APP销售时，基于销售单位的起购量     */
    PurchaseQuantity  *int64 `json:"purchase_quantity,omitempty" `

    /*
        门店id     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        门店名称     */
    StoreName  *string `json:"store_name,omitempty" `

    /*
        发布渠道     */
    ChannelCodes  *string `json:"channel_codes,omitempty" `

    /*
        默认供应商     */
    SupplierNo  *string `json:"supplier_no,omitempty" `

    /*
        默认供应商名称     */
    SupplierName  *string `json:"supplier_name,omitempty" `

    /*
        默认物流中心     */
    Logistics  *string `json:"logistics,omitempty" `

    /*
        默认物流中心名称     */
    LogisticsName  *string `json:"logistics_name,omitempty" `

    /*
        配货逻辑仓     */
    DeliveryWarehouse  *string `json:"delivery_warehouse,omitempty" `

    /*
        配货逻辑仓名称     */
    DeliveryWarehouseName  *string `json:"delivery_warehouse_name,omitempty" `

    /*
        退货逻辑仓     */
    ReturnWarehouse  *string `json:"return_warehouse,omitempty" `

    /*
        退货逻辑仓名称     */
    ReturnWarehouseName  *string `json:"return_warehouse_name,omitempty" `

    /*
        配送方式     */
    DeliveryWay  *string `json:"delivery_way,omitempty" `

    /*
        配送方式名称     */
    DeliveryWayName  *string `json:"delivery_way_name,omitempty" `

    /*
        加工时间     */
    ProcessingTime  *int64 `json:"processing_time,omitempty" `

    /*
        服务商品,skucode     */
    ServiceItems  *string `json:"service_items,omitempty" `

    /*
        默认商品价格（同SKU在当前渠道的价格）     */
    DefaultSkuPrice  *string `json:"default_sku_price,omitempty" `

    /*
        商品会员价格（主要用于对接线下的）     */
    MemberPrice  *string `json:"member_price,omitempty" `

    /*
        是否线上可售 是  0：否  1：是     */
    OnlineSaleFlag  *int64 `json:"online_sale_flag,omitempty" `

    /*
        是否可售，用于查询商品的时候标识商品的可售状态,1可售 0不可售     */
    SaleFlagForQuery  *int64 `json:"sale_flag_for_query,omitempty" `

    /*
        skuSuppliers     */
    SkuSuppliers  *[]AlibabaWdkSkuQuerySkuSupplierDo `json:"sku_suppliers,omitempty" `

    /*
        存储条件编码     */
    StorageCode  *string `json:"storage_code,omitempty" `

    /*
        商品类型1:普通商品、2:加工半成品、3:加工成品、4:原材料、5:耗材；     */
    ItemTypeNew  *int64 `json:"item_type_new,omitempty" `

    /*
        商家后台类目编码（同字段category_code）     */
    MerchantCatCode  *string `json:"merchant_cat_code,omitempty" `

    /*
        在app上显示的商品图片cdn地址（同字段main_pic_urls和detail_pic_urls），https开头，多个图片用英文逗号切割。第一张图片会作为主图；优先使用本字段     */
    SkuPicUrls  *string `json:"sku_pic_urls,omitempty" `

    /*
        平台类目编码（同字段hm_category_code），需要商家把自己的类目对应到平台的类目上，此字段暂时只能支持3、4级类目修改；优先使用本字段     */
    BackCatCode  *string `json:"back_cat_code,omitempty" `

    /*
        商品的保质期天数（同字段shelf_life），必须为整数，0代表不管理保质期；优先使用本字段     */
    Period  *int64 `json:"period,omitempty" `

}

func (s *AlibabaWdkSkuQuerySkuDo) SetShelfLife(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.ShelfLife = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetBarcodes(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Barcodes = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetInventoryUnit(v string) *AlibabaWdkSkuQuerySkuDo {
    s.InventoryUnit = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetWeight(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Weight = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetWidth(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Width = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSkuType(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.SkuType = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSuggestedPrice(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SuggestedPrice = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetOuCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.OuCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetStandardNo(v string) *AlibabaWdkSkuQuerySkuDo {
    s.StandardNo = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetManufacturerName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ManufacturerName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetBrandName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.BrandName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDetailPicUrls(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DetailPicUrls = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetWeightFlag(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.WeightFlag = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetHeight(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Height = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSkuName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SkuName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetLength(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Length = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSkuCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetCategoryCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.CategoryCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetProducerPlace(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ProducerPlace = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetMainPicUrls(v string) *AlibabaWdkSkuQuerySkuDo {
    s.MainPicUrls = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetStorageType(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.StorageType = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetTaxRate(v string) *AlibabaWdkSkuQuerySkuDo {
    s.TaxRate = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetManufacturerAddress(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ManufacturerAddress = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetImportFlag(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.ImportFlag = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetNetContent(v string) *AlibabaWdkSkuQuerySkuDo {
    s.NetContent = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetAccountingCategory(v string) *AlibabaWdkSkuQuerySkuDo {
    s.AccountingCategory = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSalePrice(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SalePrice = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSaleUnit(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetInputInvoiceContent(v string) *AlibabaWdkSkuQuerySkuDo {
    s.InputInvoiceContent = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetInvoiceContent(v string) *AlibabaWdkSkuQuerySkuDo {
    s.InvoiceContent = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetShortTitle(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ShortTitle = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetTxtDesc(v string) *AlibabaWdkSkuQuerySkuDo {
    s.TxtDesc = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetLifeStatus(v string) *AlibabaWdkSkuQuerySkuDo {
    s.LifeStatus = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSaleSpec(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SaleSpec = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetOrgNo(v string) *AlibabaWdkSkuQuerySkuDo {
    s.OrgNo = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetHmCategoryCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.HmCategoryCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetRichText(v string) *AlibabaWdkSkuQuerySkuDo {
    s.RichText = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetAliasName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.AliasName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetProducerName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ProducerName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetFactoryNo(v string) *AlibabaWdkSkuQuerySkuDo {
    s.FactoryNo = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetComponent(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Component = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetStorage(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Storage = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetGrade(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Grade = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetEatWay(v string) *AlibabaWdkSkuQuerySkuDo {
    s.EatWay = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetOriginCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.OriginCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetInputTaxRate(v string) *AlibabaWdkSkuQuerySkuDo {
    s.InputTaxRate = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetInputTaxRateCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.InputTaxRateCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetFinanceTypeCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.FinanceTypeCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetTaxRateCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.TaxRateCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetForestCateId(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.ForestCateId = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetPurchaseSpec(v string) *AlibabaWdkSkuQuerySkuDo {
    s.PurchaseSpec = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetPurchaseUnit(v string) *AlibabaWdkSkuQuerySkuDo {
    s.PurchaseUnit = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetPurchaseUnitCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.PurchaseUnitCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetInventoryUnitCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.InventoryUnitCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetAcceptanceCriteria(v string) *AlibabaWdkSkuQuerySkuDo {
    s.AcceptanceCriteria = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetOverloadRate(v string) *AlibabaWdkSkuQuerySkuDo {
    s.OverloadRate = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetForbidReceiveDays(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.ForbidReceiveDays = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetForbidSalesDays(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.ForbidSalesDays = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDeliveryUnit(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DeliveryUnit = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDeliveryUnitCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DeliveryUnitCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDeliverySpec(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DeliverySpec = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetProcessingUnit(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ProcessingUnit = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetProcessingUnitCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ProcessingUnitCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetCostUnit(v string) *AlibabaWdkSkuQuerySkuDo {
    s.CostUnit = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetCostUnitCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.CostUnitCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetProcsExchangeRate(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ProcsExchangeRate = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetCostExchangeRate(v string) *AlibabaWdkSkuQuerySkuDo {
    s.CostExchangeRate = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetMassOutputRate(v string) *AlibabaWdkSkuQuerySkuDo {
    s.MassOutputRate = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetCostTaxPrice(v string) *AlibabaWdkSkuQuerySkuDo {
    s.CostTaxPrice = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetCostNoPrice(v string) *AlibabaWdkSkuQuerySkuDo {
    s.CostNoPrice = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSkuLabelType(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SkuLabelType = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSkuLabelTypeCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SkuLabelTypeCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetWarnDays(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.WarnDays = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetAllowAppSale(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.AllowAppSale = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetItemSaleType(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.ItemSaleType = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSubTitle(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SubTitle = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetTitle1(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Title1 = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSubTitle1(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SubTitle1 = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetTitle2(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Title2 = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSubTitle2(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SubTitle2 = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSaleUnitCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SaleUnitCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetLabelStyleType(v string) *AlibabaWdkSkuQuerySkuDo {
    s.LabelStyleType = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetLabelPriceTypeCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.LabelPriceTypeCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetFixedFlag(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.FixedFlag = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetAvgWeight(v string) *AlibabaWdkSkuQuerySkuDo {
    s.AvgWeight = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetPreMinusWeight(v string) *AlibabaWdkSkuQuerySkuDo {
    s.PreMinusWeight = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetStepQuantity(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.StepQuantity = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetPurchaseQuantity(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.PurchaseQuantity = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetStoreId(v string) *AlibabaWdkSkuQuerySkuDo {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetStoreName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.StoreName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetChannelCodes(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ChannelCodes = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSupplierNo(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SupplierNo = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSupplierName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SupplierName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetLogistics(v string) *AlibabaWdkSkuQuerySkuDo {
    s.Logistics = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetLogisticsName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.LogisticsName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDeliveryWarehouse(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DeliveryWarehouse = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDeliveryWarehouseName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DeliveryWarehouseName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetReturnWarehouse(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ReturnWarehouse = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetReturnWarehouseName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ReturnWarehouseName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDeliveryWay(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DeliveryWay = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDeliveryWayName(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DeliveryWayName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetProcessingTime(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.ProcessingTime = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetServiceItems(v string) *AlibabaWdkSkuQuerySkuDo {
    s.ServiceItems = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetDefaultSkuPrice(v string) *AlibabaWdkSkuQuerySkuDo {
    s.DefaultSkuPrice = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetMemberPrice(v string) *AlibabaWdkSkuQuerySkuDo {
    s.MemberPrice = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetOnlineSaleFlag(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.OnlineSaleFlag = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSaleFlagForQuery(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.SaleFlagForQuery = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSkuSuppliers(v []AlibabaWdkSkuQuerySkuSupplierDo) *AlibabaWdkSkuQuerySkuDo {
    s.SkuSuppliers = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetStorageCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.StorageCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetItemTypeNew(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.ItemTypeNew = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetMerchantCatCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.MerchantCatCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetSkuPicUrls(v string) *AlibabaWdkSkuQuerySkuDo {
    s.SkuPicUrls = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetBackCatCode(v string) *AlibabaWdkSkuQuerySkuDo {
    s.BackCatCode = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuDo) SetPeriod(v int64) *AlibabaWdkSkuQuerySkuDo {
    s.Period = &v
    return s
}
